Subject: Re: FVWM: Click in a window raises, move marks, can I?

From: Dominik Vogt <[email-masked]>
Date: Fri, 1 Feb 2002 17:21:17 +0100

On Sun, Jan 20, 2002 at 09:15:56PM +0200, Anssi Saari wrote:
> On Sun, Jan 20, 2002 at 07:06:05PM +0100, Dominik Vogt wrote:
>  
> > That not new.  MouseFocusClickRaises has always worked with any
> > mouse button, not just the button 1.
>  
> OK, it was just my idea that customization of this might be enjoyable,
> for the mouse wheel for example. Also some new web browsers jump to a URL
> from Selection with mouse-2 click.
> 
> > > I also noticed it's easy to nudge the mouse or click before you stop
> > > the mouse completely, so maybe a threshhold setting for what is actually
> > > considered moving might be good.
> > 
> > It already uses the threshold defined with the MoveThreshold
> > command.
> 
> Ah, of course. 
> I have also noticed that in the CVS version, GrabFocusTransient seems
> to default to off, even though the manual still says it's on by default.

And it should be on by default.  The ConfigFvwmDefaults file has
this line:

  Style * GrabFocusTransient, LowerTransient, RaiseTransient, StackTransientParent

So probably ConfigFvwmDefaults is not installed properly on your
site.

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Anssi Saari <[email-masked]>
Date: Fri, 1 Feb 2002 23:52:50 +0200

> So probably ConfigFvwmDefaults is not installed properly on your

Yes, you're right of course. I was trying out the freshly compiled fvwm
from the source dir so ConfigFvwmDefaults wasn't found.

I seems to me however that the combination of MouseFocusClickRaises and
MouseFocusClickIgnoreMotion is a little undeterministic. If I select
text in one xterm, which is on top and then click on another xterm,
it raises but selection is kept. However, if I then click on the first
xterm again, it raises but selection is lost. Not really a problem, but
it would be neater to have an option which sets this, either the click
is passed to the window that is raised or it isn't.

I also would really like a configurable MouseFocusClickRaises, to choose
which button(s) raises...
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]